
// This is the procedure we will use to find \
the player's screen resolution.
proc/get_screen(screen_size, client/c)

	// This variable is used to find where the \
	divider "x" is between the width and height of the resolution.
	var/x_pos = findtext(screen_size, "x")

	// This copies from the beginning of the \
	screen_size string, to the position of the "x" divider.
	var/_x = copytext(screen_size, 1, x_pos)

	// Then set the client's screen_x variable to the \
	number version of the string we just created.
	c.screen_x = text2num(_x)

	// Here we are doing the same thing, but for screen's y.\
	So we start at the "x" divider and copy the rest of the string.
	var/_y = copytext(screen_size, x_pos + 1, 0)
	c.screen_y = text2num(_y)

client

	// These are the variable we will be using to record \
	 the size of the player's screen.
	var/tmp/screen_x
	var/tmp/screen_y

	New()
		..()

		// This is the stuff from Tiberath's Decent Game Design article.\
		As it said on the hud this demo is used to show you how to \
		center a title screen using his article. You of course need to \
		use the names of the windows and controls you are using. \
		As you will notice there is something different though. We will be \
		maximizing the main window.
		winset(src, null,
			{"
				_main.main_child.left = _splash;
				_main.can-resize = false;
				_main.statusbar = false;
				_main.titlebar = false;
				_main.menu = null;
				_main.is-maximized = true;
			"})

		// We are creating a variable that will record the size of the \
		child control in the window to get the size of the player's screen.
		var/screen_size = winget(src, "_main.main_child", "size")

		// We will then unmaximize the window so the play will \
		never notice the difference.
		winset(src, "_main", "is-maximized = false")

		// Then we call our procedure with the proper arguments.
		get_screen(screen_size, src)

		// Finally, we change the position of the window so it is centered. \
		This is done by adding the width of our splash screen to the width \
		of the player's window and dividing the number by 4. Then the same \
		for y except we will be adding the height of our splash screen.
		winset(src, "_main", "pos = [(src.screen_x - 640) / 2],[(src.screen_y - 480) / 2]")